- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BrzozowskiAlgo Struct Template Reference

This is the class that really computes Brzozowski. More...

Inherits IncAutomataConstructor.

List of all members.

## Public Member Functions
void | on_state (const Exp &e)

## Detailed Description

### template<typename T_auto, typename Exp>
struct vcsn::BrzozowskiAlgo< T_auto, Exp >

This is the class that really computes Brzozowski.

This class should be used only in brzozowski() and should not be instantiated from elsewhere.

This class defines the methods which are missing to IncAutomataConstructor to incrementally build an automaton, i.e. the function which must be applied on each state.

See also:
  brzozowski()

Definition at line 47 of file brzozowski.hxx.

## Member Function Documentation

void on_state | ( | const Exp & | e | ) | `[inline]`

Bug:
  FIXME: Optimize!

Definition at line 60 of file brzozowski.hxx.

References vcsn::canonical(), vcsn::derivate(), and SELECT.